{
    attributes = (
        {
            columnName = "FAP_ID"; 
            externalType = NUMBER; 
            name = fapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FLIG_ART_HT"; 
            externalType = NUMBER; 
            name = fligArtHt; 
            precision = 12; 
            scale = 3; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "FLIG_ART_TTC"; 
            externalType = NUMBER; 
            name = fligArtTtc; 
            precision = 12; 
            scale = 3; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "FLIG_ART_TTC_INITIAL"; 
            externalType = NUMBER; 
            name = fligArtTtcInitial; 
            precision = 12; 
            scale = 3; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "FLIG_DATE"; 
            externalType = DATE; 
            name = fligDate; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "FLIG_DESCRIPTION"; 
            externalType = VARCHAR2; 
            name = fligDescription; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1000; 
        }, 
        {
            columnName = "FLIG_ID"; 
            externalType = NUMBER; 
            name = fligId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FLIG_ID_PERE"; 
            externalType = NUMBER; 
            name = fligIdPere; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FLIG_QUANTITE"; 
            externalType = NUMBER; 
            name = fligQuantite; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FLIG_REFERENCE"; 
            externalType = VARCHAR2; 
            name = fligReference; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "FLIG_TOTAL_HT"; 
            externalType = NUMBER; 
            name = fligTotalHt; 
            precision = 12; 
            scale = 3; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "FLIG_TOTAL_TTC"; 
            externalType = NUMBER; 
            name = fligTotalTtc; 
            precision = 12; 
            scale = 3; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PRLIG_ID"; 
            externalType = NUMBER; 
            name = prligId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TVA_ID"; 
            externalType = NUMBER; 
            name = tvaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TVA_ID_INITIAL"; 
            externalType = NUMBER; 
            name = tvaIdInitial; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAR_ID"; 
            externalType = NUMBER; 
            name = tyarId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        fapId, 
        fligDescription, 
        fligId, 
        fligIdPere, 
        fligReference, 
        prligId, 
        tvaId, 
        tvaIdInitial, 
        tyarId
    ); 
    className = "org.cocktail.kava.server.metier.EOFacturePapierLigne"; 
    classProperties = (
        facturePapier, 
        facturePapierLignePere, 
        facturePapierLignes, 
        fligArtHt, 
        fligArtTtc, 
        fligArtTtcInitial, 
        fligDate, 
        fligDescription, 
        fligQuantite, 
        fligReference, 
        fligTotalHt, 
        fligTotalTtc, 
        prestationLigne, 
        tva, 
        tvaInitial, 
        typeArticle
    ); 
    externalName = "jefy_recette.facture_papier_ligne"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            facturePapier, 
            facturePapierLignePere, 
            facturePapierLignes, 
            fligArtHt, 
            fligArtTtc, 
            fligArtTtcInitial, 
            fligDate, 
            fligDescription, 
            fligQuantite, 
            fligReference, 
            fligTotalHt, 
            fligTotalTtc, 
            prestationLigne, 
            tva, 
            tvaInitial, 
            typeArticle
        ); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOFacturePapierLigne"; 
        "_nameInObjectStore" = "facture_papier_ligne"; 
    }; 
    name = FacturePapierLigne; 
    primaryKeyAttributes = (fligId); 
    relationships = (
        {
            destination = FacturePapier; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fapId; sourceAttribute = fapId; }); 
            name = facturePapier; 
        }, 
        {
            destination = FacturePapierLigne; 
            internalInfo = {"_nameInObjectStore" = facturePapierLigne; }; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = fligId; sourceAttribute = fligIdPere; }); 
            name = facturePapierLignePere; 
        }, 
        {
            destination = FacturePapierLigne; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = fligIdPere; sourceAttribute = fligId; }); 
            name = facturePapierLignes; 
        }, 
        {
            destination = PrestationLigne; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = prligId; sourceAttribute = prligId; }); 
            name = prestationLigne; 
        }, 
        {
            destination = Tva; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = tvaId; sourceAttribute = tvaId; }); 
            name = tva; 
        }, 
        {
            destination = Tva; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = tvaId; sourceAttribute = tvaIdInitial; }); 
            name = tvaInitial; 
        }, 
        {
            destination = TypeArticle; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyarId; sourceAttribute = tyarId; }); 
            name = typeArticle; 
        }
    ); 
}
